# Multivariate Statistics

A Julia package for multivariate statistics and data analysis (e.g. dimensionality reduction).

[![MultivariateStats](http://pkg.julialang.org/badges/MultivariateStats_0.6.svg)](http://pkg.julialang.org/?pkg=MultivariateStats)
[![Coverage Status](https://coveralls.io/repos/JuliaStats/MultivariateStats.jl/badge.svg?branch=master)](https://coveralls.io/r/JuliaStats/MultivariateStats.jl?branch=master)
[![Build Status](https://travis-ci.org/JuliaStats/MultivariateStats.jl.svg?branch=master)](https://travis-ci.org/JuliaStats/MultivariateStats.jl)

**Note:** This package is aimed to replace [DimensionalityReduction.jl](https://github.com/JuliaStats/DimensionalityReduction.jl), and to provide more multivariate analysis techniques.

-------

## Functionalities

#### Available

- Linear Least Square Regression
- Ridge Regression
- Data Whitening
- Principal Components Analysis (PCA)
- Canonical Correlation Analysis (CCA)
- Classical Multidimensional Scaling (MDS)
- Linear Discriminant Analysis (LDA)
- Multiclass LDA
- Independent Component Analysis (ICA), FastICA
- Probabilistic PCA
- Factor Analysis
- Kernel PCA

#### Future Plan

- Partial Least Square (PLS)
- Other algorithms for ICA (*e.g.* JADE)


## Resources

#### Documentation

- Stable : <http://multivariatestatsjl.readthedocs.org/en/stable/index.html>
- Latest : <http://multivariatestatsjl.readthedocs.org/en/latest/index.html>
